## fportfolio 221.10065

=== DESCRIPTION ===
Package: fPortfolio
Version: 221.10065
Date: 1996 - 2006
Title: Rmetrics - Portfolio Selection and Optimization
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 1.9.0), methods
Maintainer: Diethelm Wuertz <wuertz@itp.phys.ethz.ch>
Description: Environment for teaching "Financial Engineering and Computational Finance"
License: GPL Version 2 or later
URL: http://www.rmetrics.org
Packaged: Mon Feb 20 14:46:44 2006; myself

## fportfolio 240.10067

=== DESCRIPTION ===
Package: fPortfolio
Version: 240.10067
Date: 1996 - 2006
Title: Rmetrics - Portfolio Selection and Optimization
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 1.9.0), methods, fEcofin, fCalendar, fBasics, fSeries, fMultivar, fExtremes
Maintainer: Diethelm Wuertz <wuertz@itp.phys.ethz.ch>
Description: Environment for teaching "Financial Engineering and Computational Finance"
License: GPL Version 2 or later
URL: http://www.rmetrics.org
Packaged: Fri Oct 13 10:11:23 2006; myself

## fportfolio 2130.80

=== DESCRIPTION ===
Package: fPortfolio
Version: 2130.80
Revision: 5047
Date: 2011-02-10
Title: Rmetrics - Portfolio Selection and Optimization - ebook
        available at www.rmetrics.org
Author: Rmetrics Core Team, Diethelm Wuertz
Depends: R (>= 2.8.0), methods, MASS, robustbase, timeDate, timeSeries,
        fBasics, fAssets (>= 2100.78)
Imports: quadprog, Rglpk
Suggests: RUnit, tcltk
Maintainer: Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2011-02-10 11:31:12 UTC; chalabi
Repository: CRAN
Date/Publication: 2011-02-10 16:14:52

=== inst/unitTests/Makefile ===
PKG=fPortfolio
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

## fportfolio 3011.81

=== DESCRIPTION ===
Package: fPortfolio
Title: Rmetrics - Portfolio Selection and Optimization
Date: 2014-10-30
Version: 3011.81
Author: Rmetrics Core Team,
	Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@rmetrics.org>
Description: Environment for teaching 
	"Financial Engineering and Computational Finance".
Depends: R (>= 2.15.1), methods, timeDate, timeSeries, fBasics, fAssets
Imports: fCopulae, robustbase, MASS, Rglpk, slam, Rsymphony, Rsolnp,
        kernlab, quadprog, rneos
Suggests: Rsocp, Rnlminb2, Rdonlp2, dplR, bcp, fGarch, mvoutlier
Additional_repositories: http://r-forge.r-project.org/
Note: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
Packaged: 2014-10-30 14:13:59 UTC; Tobi
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-10-30 15:54:08

## fportfolio 3042.83.1

=== DESCRIPTION ===
Package: fPortfolio
Title: Rmetrics - Portfolio Selection and Optimization
Date: 2017-11-12
Version: 3042.83.1
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb],
	William Chen [ctb]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: Provides a collection
	of functions to optimize portfolios and to analyze them from
    different points of view.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics, fAssets
Imports: fCopulae, robustbase, MASS, Rglpk, slam, Rsolnp, quadprog,
        kernlab, rneos, methods, grDevices, graphics, stats, utils
Suggests: Rsocp, Rnlminb2, Rdonlp2, Rsymphony, dplR, bcp, fGarch,
        mvoutlier
Additional_repositories: http://r-forge.r-project.org/
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
NeedsCompilation: no
Packaged: 2020-03-07 11:00:10 UTC; hornik
Repository: CRAN
Date/Publication: 2020-03-07 11:06:21 UTC

=== debian/changelog ===
fportfolio (3042.83.1-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:04:47 +0000

fportfolio (3042.83.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 Mar 2020 08:16:52 -0500

fportfolio (3042.83-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debianb/control: Add Depends: on ${misc:Depends}
  * debian/compat: Set level to 9
  * debian/README.source: Added 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Nov 2017 21:21:14 -0600

fportfolio (3011.81-2) unstable; urgency=medium

  * debian/compat: Created
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jun 2016 07:20:17 -0500

fportfolio (3011.81-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Added new (Build-)Depends: on r-cran-rneos, as well as 
    r-cran-fcopulae, r-cran-rsymphony, r-cran-rsolnp, r-cran-kernlab

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Feb 2015 07:46:34 -0600

fportfolio (2130.80-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 
  
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 16:38:20 -0500

fportfolio (2130.80-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Feb 2011 12:11:15 -0600

fportfolio (2110.79-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Apr 2010 22:09:06 -0500

fportfolio (2100.78-3) unstable; urgency=low

  * debian/control: Switch (Build-)Depends: from r-cran-vr to r-cran-mass

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Apr 2010 11:26:52 -0500

fportfolio (2100.78-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Nov 2009 18:39:04 -0600

fportfolio (2100.78-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

  * debian/control: Set Build-Depends: on r-cran-fassets to (>= 2100.78)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Oct 2009 22:14:35 -0500

fportfolio (2100.77-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 290.76)
    and r-cran-rsymphony now that the latter is finally in the archive
  
  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 May 2009 14:19:03 -0500

fportfolio (280.74-1) unstable; urgency=low

  * New upstream release
  * Finally uploading as r-cran-rglpk is out of NEW after five weeks

  * debian/control: Updated (Build-)Depends: and Suggests:
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 04 Dec 2008 11:36:54 -0600

fportfolio (260.72-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fassets (>= 260.72) and
    add Depends on r-cran-vr, r-cran-lpsolve, r-cran-quadprog
  * debian/control: Added Build-Depends on xfvb for tcltk lazyload at build

  * Built with R 2.6.0, so setting (Build-)Depends: to 
    'r-base-(core|dev) >= 2.6.0' to prevent move to testing before R 2.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Nov 2007 08:16:34 -0600

fportfolio (251.70-1) unstable; urgency=low

  * New upstream release

  * DESCRIPTION: Set LazyLoad: to 'no' as builds would abort on autoloads of
    tcltk when there is no $DISPLAY defined.

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Jul 2007 22:31:31 -0500

fportfolio (240.10068-1) unstable; urgency=low

  * New upstream release
  * debian/control: Updated (Build)-Depends: to r-base-dev (>= 2.5.1)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Jul 2007 12:24:06 -0500

fportfolio (240.10067-1) unstable; urgency=low

  * New upstream release
  
  * debian/rules: Simplified to cdbs-based one-liner sourcing r-cran.mk 
  * debian/control: Build-Depends: updated to r-base-dev (>= 2.4.0)
  * debian/control: Added (Build-)Depends: for r-cran-{fecofin,fextremes}
  * debian/contrpl: Added missing Depends: ${shlibs:Depends} 
  * debian/control: Standards-Version: upgradeded to 3.7.2

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  1 Nov 2006 20:39:57 -0600

fportfolio (221.10065-1) unstable; urgency=low

  * New upstream release
  
  * debian/watch: One more fix for regular expression 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Feb 2006 11:20:13 -0600

fportfolio (220.10063-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: fportfolio
Section: gnu-r
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper, r-base-dev (>= 3.6.3), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries, r-cran-fbasics, r-cran-fassets (>= 2100.78), r-cran-quadprog, r-cran-rglpk, r-cran-rneos, r-cran-fcopulae, r-cran-rsymphony, r-cran-rsolnp, r-cran-kernlab, xvfb, xauth, xfonts-base
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-fportfolio
Vcs-Git: https://salsa.debian.org/edd/r-cran-fportfolio.git
Homepage: https://cran.r-project.org/package=fPortfolio

Package: r-cran-fportfolio
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}, ${misc:Depends}, r-cran-mass, r-cran-timedate, r-cran-timeseries, r-cran-fbasics, r-cran-fassets (>= 2100.78), r-cran-quadprog, r-cran-rglpk, r-cran-rneos, r-cran-fcopulae, r-cran-rsymphony, r-cran-rsolnp, r-cran-kernlab
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fPortfolio
 This package of functions for financial engineering and computational
 finance is part of Rmetrics, a collection of packages written and
 compiled by Diethelm Wuertz. 
 .
 fPortfolio provides functions for portfolio and asset price modeling, drawdown
 statistics, value-at-risk and Markowitz portfolio construction.

## fportfolio 4023.84

=== DESCRIPTION ===
Package: fPortfolio
Title: Rmetrics - Portfolio Selection and Optimization
Date: 2023-04-22
Version: 4023.84
Authors@R: c( person("Diethelm", "Wuertz", role = "aut"), person("Tobias", "Setz", role = "aut"),
              person("Yohan", "Chalabi", role = "aut"), person("William", "Chen", role = "ctb"),
	      person("Stefan", "Theussl", role = c("aut", "cre"), email = "Stefan.Theussl@R-project.org") )
Description: A collection of functions to optimize portfolios and to analyze them from different points of view.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics, fAssets
Imports: fCopulae, robustbase, MASS, Rglpk, slam, Rsolnp, quadprog,
        kernlab, rneos, methods, grDevices, graphics, stats, utils
Suggests: parma, Rsymphony, dplR, bcp, fGarch, mvoutlier
Additional_repositories: https://r-forge.r-project.org/
LazyData: yes
License: GPL (>= 2)
URL: https://r-forge.r-project.org/projects/rmetrics/
NeedsCompilation: no
Packaged: 2023-04-23 20:28:47 UTC; parallels
Author: Diethelm Wuertz [aut],
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  William Chen [ctb],
  Stefan Theussl [aut, cre]
Maintainer: Stefan Theussl <Stefan.Theussl@R-project.org>
Repository: CRAN
Date/Publication: 2023-04-25 07:50:06 UTC

=== debian/changelog ===
fportfolio (4023.84-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Jun 2023 06:10:17 -0500

fportfolio (4023.84-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Apr 2023 11:02:32 -0500

=== debian/control ===
Source: fportfolio
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r, r-cran-mass, r-cran-timedate, r-cran-timeseries, r-cran-fbasics, r-cran-fassets (>= 2100.78), r-cran-quadprog, r-cran-rglpk, r-cran-rneos, r-cran-fcopulae, r-cran-rsymphony, r-cran-rsolnp, r-cran-kernlab, xvfb, xauth, xfonts-base
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/edd/r-cran-fportfolio
Vcs-Git: https://salsa.debian.org/edd/r-cran-fportfolio.git
Homepage: https://cran.r-project.org/package=fPortfolio

Package: r-cran-fportfolio
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-mass, r-cran-timedate, r-cran-timeseries, r-cran-fbasics, r-cran-fassets (>= 2100.78), r-cran-quadprog, r-cran-rglpk, r-cran-rneos, r-cran-fcopulae, r-cran-rsymphony, r-cran-rsolnp, r-cran-kernlab
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fPortfolio
 This package of functions for financial engineering and computational
 finance is part of Rmetrics, a collection of packages written and
 compiled by Diethelm Wuertz. 
 .
 fPortfolio provides functions for portfolio and asset price modeling, drawdown
 statistics, value-at-risk and Markowitz portfolio construction.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-fportfolio package
# Copyright 2003-2020 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/fPortfolio_([-\d\.]*)\.tar.gz
